Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Test and Performance Tools Platform (TPTP) » Re: ClassCastException in GenModel if org.eclipse.xsd is present
Re: ClassCastException in GenModel if org.eclipse.xsd is present [message #102290] Mon, 02 July 2007 16:35 Go to next message
Eclipse User
Originally posted by: merks.ca.ibm.com

Nicolas,

I'll add the TPTP newsgroup to the reply to see if anyone there knows a
reason why TPTP would affect the parser created via the standard JAXP
APIs, i.e., why SAXParserFactory.newInstance() should fail with TPTP
present.


Nicolas Cabanis wrote:
> And I use:
> java version "1.6.0"
> Java(TM) SE Runtime Environment (build 1.6.0-b105)
> Java HotSpot(TM) Client VM (build 1.6.0-b105, mixed mode)
>
> Nicolas Cabanis schrieb:
>> Hell Ed,
>>
>> I use:
>> - eclipse-SDK-3.3 (and all following through Europa update site)
>> - TPTP Tracing and Profiling
>> - TPTP Platform (4.3.0v200706132116...)
>> - XSD (2.3.0v20070626000)
>>
>> All I do is open a .genmodel file. But TPTP may be activted as it is
>> included in all perspectives.
>>
>> I have just tried to activate XSD without TPTP - and it all works.
>>
>> Nicolas
>>
>>
>> Ed Merks schrieb:
>>> Nicolas,
>>>
>>> I tried this locally with a slightly pre-GA setup without a
>>> problem. Do I need to use something in TPTP first before the
>>> problem starts to happen? I.e., does the problem happen with a
>>> freshly started Eclipse where all you've done is tried to open a
>>> .genmodel file as your first action?
>>>
>>>
>>> Ed Merks wrote:
>>>> Nicolas,
>>>>
>>>> Sounds like some other component has registered an JAXP
>>>> implementation that's in conflict with the one provided by the JVM
>>>> because the code that's failing is just this standard pattern that
>>>> should work anywhere:
>>>>
>>>> SAXParserFactory parserFactory=
>>>> SAXParserFactory.newInstance();
>>>>
>>>> I know that XSD doesn't register such a thing, but perhaps TPTP's
>>>> use of this plugin causes a problem:
>>>>
>>>> eclipse/plugins/org.apache.xerces_2.8.0.v200705301630.jar
>>>>
>>>> If that is indeed the problem, I imagine that many things relying
>>>> on JAXP to simply work will be broken. Which JVM/JRE are you using?
>>>>
>>>>
>>>> Nicolas Cabanis wrote:
>>>>> Hello,
>>>>>
>>>>> I have updated my Eclipse to 3.3 final together with EMF, GEF and
>>>>> GMF. Now, I get the following problem: if I open any genmodel with
>>>>> the GenModel-Editor, I get the exception appended at the end of
>>>>> this message. This only happens if I have TPTP (and therefore XSD)
>>>>> also in my configuration.
>>>>>
>>>>> How can I prevent this?
>>>>>
>>>>> Regards
>>>>> Nicolas
>>>>>
>>>>>
>>>>> java.lang.ClassCastException:
>>>>> org.apache.xerces.jaxp.SAXParserFactoryImpl cannot be cast to
>>>>> javax.xml.parsers.SAXParserFactory
>>>>> at javax.xml.parsers.SAXParserFactory.newInstance(Unknown Source)
>>>>> at
>>>>> org.eclipse.emf.ecore.plugin.EcorePlugin.computePlatformPlug inToPlatformResourceMap(EcorePlugin.java:302)
>>>>>
>>>>> at
>>>>> org.eclipse.emf.ecore.plugin.EcorePlugin.computePlatformURIM ap(EcorePlugin.java:409)
>>>>>
>>>>
>>>
Re: ClassCastException in GenModel if org.eclipse.xsd is present [message #102344 is a reply to message #102290] Mon, 02 July 2007 19:26 Go to previous messageGo to next message
Joe Toomey is currently offline Joe Toomey
Messages: 79
Registered: July 2009
Member
It's worth noting that although some committers may do informal testing,
TPTP does not yet support Java 6.
http://www.eclipse.org/tptp/home/project_info/releaseinfo/4. 4/support.html

I can't comment on why we distribute the org.apache.xerces bundle, but I
see that we (TPTP) require and reexport it in
org.eclipse.tptp.platform.models. Neither the plugin.xml file nor the
java code within our models plugin references or uses the
org.apache.xerces plugin. I will check with the plugin owner to
understand why this is the case -- I have a foggy recollection of why we
used to continue to ship xerces, but my recollection may be out of date.

I tried the scenario described using Sun 1.5 & 1.6 and also tried with
an IBM 1.6 JRE. I wasn't able to reproduce this issue (the genmodel
editor opened fine, no errors reported in the log.) I also checked in
the OSGI console, and in each case, the org.apache.xerces plugin was
resolved but not active after opening the genmodel file.

[I'm using Europa bits from today -- Eclipse Classic Windows download,
then TPTP installed via Update Manager. Among the required plugins
selected by UM were "EMF Runtime + End-User Tools 2.3.0.v200706262000"
and "XSD Schema Infoset Model 2.3.0.v200706262000".]

Ed -- are you able to see this error?

Thanks,
--Joe

Ed Merks wrote:
> Nicolas,
>
> I'll add the TPTP newsgroup to the reply to see if anyone there knows a
> reason why TPTP would affect the parser created via the standard JAXP
> APIs, i.e., why SAXParserFactory.newInstance() should fail with TPTP
> present.
>
>
> Nicolas Cabanis wrote:
>> And I use:
>> java version "1.6.0"
>> Java(TM) SE Runtime Environment (build 1.6.0-b105)
>> Java HotSpot(TM) Client VM (build 1.6.0-b105, mixed mode)
>>
>> Nicolas Cabanis schrieb:
>>> Hell Ed,
>>>
>>> I use:
>>> - eclipse-SDK-3.3 (and all following through Europa update site)
>>> - TPTP Tracing and Profiling
>>> - TPTP Platform (4.3.0v200706132116...)
>>> - XSD (2.3.0v20070626000)
>>>
>>> All I do is open a .genmodel file. But TPTP may be activted as it is
>>> included in all perspectives.
>>>
>>> I have just tried to activate XSD without TPTP - and it all works.
>>>
>>> Nicolas
>>>
>>>
>>> Ed Merks schrieb:
>>>> Nicolas,
>>>>
>>>> I tried this locally with a slightly pre-GA setup without a
>>>> problem. Do I need to use something in TPTP first before the
>>>> problem starts to happen? I.e., does the problem happen with a
>>>> freshly started Eclipse where all you've done is tried to open a
>>>> .genmodel file as your first action?
>>>>
>>>>
>>>> Ed Merks wrote:
>>>>> Nicolas,
>>>>>
>>>>> Sounds like some other component has registered an JAXP
>>>>> implementation that's in conflict with the one provided by the JVM
>>>>> because the code that's failing is just this standard pattern that
>>>>> should work anywhere:
>>>>>
>>>>> SAXParserFactory parserFactory=
>>>>> SAXParserFactory.newInstance();
>>>>>
>>>>> I know that XSD doesn't register such a thing, but perhaps TPTP's
>>>>> use of this plugin causes a problem:
>>>>>
>>>>> eclipse/plugins/org.apache.xerces_2.8.0.v200705301630.jar
>>>>>
>>>>> If that is indeed the problem, I imagine that many things relying
>>>>> on JAXP to simply work will be broken. Which JVM/JRE are you using?
>>>>>
>>>>>
>>>>> Nicolas Cabanis wrote:
>>>>>> Hello,
>>>>>>
>>>>>> I have updated my Eclipse to 3.3 final together with EMF, GEF and
>>>>>> GMF. Now, I get the following problem: if I open any genmodel with
>>>>>> the GenModel-Editor, I get the exception appended at the end of
>>>>>> this message. This only happens if I have TPTP (and therefore XSD)
>>>>>> also in my configuration.
>>>>>>
>>>>>> How can I prevent this?
>>>>>>
>>>>>> Regards
>>>>>> Nicolas
>>>>>>
>>>>>>
>>>>>> java.lang.ClassCastException:
>>>>>> org.apache.xerces.jaxp.SAXParserFactoryImpl cannot be cast to
>>>>>> javax.xml.parsers.SAXParserFactory
>>>>>> at javax.xml.parsers.SAXParserFactory.newInstance(Unknown Source)
>>>>>> at
>>>>>> org.eclipse.emf.ecore.plugin.EcorePlugin.computePlatformPlug inToPlatformResourceMap(EcorePlugin.java:302)
>>>>>>
>>>>>> at
>>>>>> org.eclipse.emf.ecore.plugin.EcorePlugin.computePlatformURIM ap(EcorePlugin.java:409)
>>>>>>
>>>>>
>>>>
Re: ClassCastException in GenModel if org.eclipse.xsd is present [message #102353 is a reply to message #102344] Mon, 02 July 2007 19:29 Go to previous messageGo to next message
Eclipse User
Originally posted by: merks.ca.ibm.com

Joe,

No. I have some bits slightly older than the GA version and it's all
working fine for me. I've never heard of a problem like this before
either. It's quite a basic/fundamental thing that's going wrong...


Joe Toomey wrote:
> It's worth noting that although some committers may do informal
> testing, TPTP does not yet support Java 6.
> http://www.eclipse.org/tptp/home/project_info/releaseinfo/4. 4/support.html
>
>
> I can't comment on why we distribute the org.apache.xerces bundle, but
> I see that we (TPTP) require and reexport it in
> org.eclipse.tptp.platform.models. Neither the plugin.xml file nor the
> java code within our models plugin references or uses the
> org.apache.xerces plugin. I will check with the plugin owner to
> understand why this is the case -- I have a foggy recollection of why
> we used to continue to ship xerces, but my recollection may be out of
> date.
>
> I tried the scenario described using Sun 1.5 & 1.6 and also tried with
> an IBM 1.6 JRE. I wasn't able to reproduce this issue (the genmodel
> editor opened fine, no errors reported in the log.) I also checked in
> the OSGI console, and in each case, the org.apache.xerces plugin was
> resolved but not active after opening the genmodel file.
>
> [I'm using Europa bits from today -- Eclipse Classic Windows download,
> then TPTP installed via Update Manager. Among the required plugins
> selected by UM were "EMF Runtime + End-User Tools 2.3.0.v200706262000"
> and "XSD Schema Infoset Model 2.3.0.v200706262000".]
>
> Ed -- are you able to see this error?
>
> Thanks,
> --Joe
>
> Ed Merks wrote:
>> Nicolas,
>>
>> I'll add the TPTP newsgroup to the reply to see if anyone there knows
>> a reason why TPTP would affect the parser created via the standard
>> JAXP APIs, i.e., why SAXParserFactory.newInstance() should fail with
>> TPTP present.
>>
>>
>> Nicolas Cabanis wrote:
>>> And I use:
>>> java version "1.6.0"
>>> Java(TM) SE Runtime Environment (build 1.6.0-b105)
>>> Java HotSpot(TM) Client VM (build 1.6.0-b105, mixed mode)
>>>
>>> Nicolas Cabanis schrieb:
>>>> Hell Ed,
>>>>
>>>> I use:
>>>> - eclipse-SDK-3.3 (and all following through Europa update site)
>>>> - TPTP Tracing and Profiling
>>>> - TPTP Platform (4.3.0v200706132116...)
>>>> - XSD (2.3.0v20070626000)
>>>>
>>>> All I do is open a .genmodel file. But TPTP may be activted as it
>>>> is included in all perspectives.
>>>>
>>>> I have just tried to activate XSD without TPTP - and it all works.
>>>>
>>>> Nicolas
>>>>
>>>>
>>>> Ed Merks schrieb:
>>>>> Nicolas,
>>>>>
>>>>> I tried this locally with a slightly pre-GA setup without a
>>>>> problem. Do I need to use something in TPTP first before the
>>>>> problem starts to happen? I.e., does the problem happen with a
>>>>> freshly started Eclipse where all you've done is tried to open a
>>>>> .genmodel file as your first action?
>>>>>
>>>>>
>>>>> Ed Merks wrote:
>>>>>> Nicolas,
>>>>>>
>>>>>> Sounds like some other component has registered an JAXP
>>>>>> implementation that's in conflict with the one provided by the
>>>>>> JVM because the code that's failing is just this standard pattern
>>>>>> that should work anywhere:
>>>>>>
>>>>>> SAXParserFactory parserFactory=
>>>>>> SAXParserFactory.newInstance();
>>>>>>
>>>>>> I know that XSD doesn't register such a thing, but perhaps TPTP's
>>>>>> use of this plugin causes a problem:
>>>>>>
>>>>>> eclipse/plugins/org.apache.xerces_2.8.0.v200705301630.jar
>>>>>>
>>>>>> If that is indeed the problem, I imagine that many things relying
>>>>>> on JAXP to simply work will be broken. Which JVM/JRE are you using?
>>>>>>
>>>>>>
>>>>>> Nicolas Cabanis wrote:
>>>>>>> Hello,
>>>>>>>
>>>>>>> I have updated my Eclipse to 3.3 final together with EMF, GEF
>>>>>>> and GMF. Now, I get the following problem: if I open any
>>>>>>> genmodel with the GenModel-Editor, I get the exception appended
>>>>>>> at the end of this message. This only happens if I have TPTP
>>>>>>> (and therefore XSD) also in my configuration.
>>>>>>>
>>>>>>> How can I prevent this?
>>>>>>>
>>>>>>> Regards
>>>>>>> Nicolas
>>>>>>>
>>>>>>>
>>>>>>> java.lang.ClassCastException:
>>>>>>> org.apache.xerces.jaxp.SAXParserFactoryImpl cannot be cast to
>>>>>>> javax.xml.parsers.SAXParserFactory
>>>>>>> at javax.xml.parsers.SAXParserFactory.newInstance(Unknown Source)
>>>>>>> at
>>>>>>> org.eclipse.emf.ecore.plugin.EcorePlugin.computePlatformPlug inToPlatformResourceMap(EcorePlugin.java:302)
>>>>>>>
>>>>>>> at
>>>>>>> org.eclipse.emf.ecore.plugin.EcorePlugin.computePlatformURIM ap(EcorePlugin.java:409)
>>>>>>>
>>>>>>
>>>>>
Re: ClassCastException in GenModel if org.eclipse.xsd is present [message #102377 is a reply to message #102353] Mon, 02 July 2007 20:26 Go to previous messageGo to next message
Joe Toomey is currently offline Joe Toomey
Messages: 79
Registered: July 2009
Member
> It's quite a basic/fundamental thing that's going wrong...

Agreed. I'm not sure how/if we're involved, but if we can figure out
how to reproduce the problem, I'll be happy to investigate on the TPTP side.

Thanks,
--Joe

Ed Merks wrote:
> Joe,
>
> No. I have some bits slightly older than the GA version and it's all
> working fine for me. I've never heard of a problem like this before
> either. It's quite a basic/fundamental thing that's going wrong...
>
>
> Joe Toomey wrote:
>> It's worth noting that although some committers may do informal
>> testing, TPTP does not yet support Java 6.
>> http://www.eclipse.org/tptp/home/project_info/releaseinfo/4. 4/support.html
>>
>>
>> I can't comment on why we distribute the org.apache.xerces bundle, but
>> I see that we (TPTP) require and reexport it in
>> org.eclipse.tptp.platform.models. Neither the plugin.xml file nor the
>> java code within our models plugin references or uses the
>> org.apache.xerces plugin. I will check with the plugin owner to
>> understand why this is the case -- I have a foggy recollection of why
>> we used to continue to ship xerces, but my recollection may be out of
>> date.
>>
>> I tried the scenario described using Sun 1.5 & 1.6 and also tried with
>> an IBM 1.6 JRE. I wasn't able to reproduce this issue (the genmodel
>> editor opened fine, no errors reported in the log.) I also checked in
>> the OSGI console, and in each case, the org.apache.xerces plugin was
>> resolved but not active after opening the genmodel file.
>>
>> [I'm using Europa bits from today -- Eclipse Classic Windows download,
>> then TPTP installed via Update Manager. Among the required plugins
>> selected by UM were "EMF Runtime + End-User Tools 2.3.0.v200706262000"
>> and "XSD Schema Infoset Model 2.3.0.v200706262000".]
>>
>> Ed -- are you able to see this error?
>>
>> Thanks,
>> --Joe
>>
>> Ed Merks wrote:
>>> Nicolas,
>>>
>>> I'll add the TPTP newsgroup to the reply to see if anyone there knows
>>> a reason why TPTP would affect the parser created via the standard
>>> JAXP APIs, i.e., why SAXParserFactory.newInstance() should fail with
>>> TPTP present.
>>>
>>>
>>> Nicolas Cabanis wrote:
>>>> And I use:
>>>> java version "1.6.0"
>>>> Java(TM) SE Runtime Environment (build 1.6.0-b105)
>>>> Java HotSpot(TM) Client VM (build 1.6.0-b105, mixed mode)
>>>>
>>>> Nicolas Cabanis schrieb:
>>>>> Hell Ed,
>>>>>
>>>>> I use:
>>>>> - eclipse-SDK-3.3 (and all following through Europa update site)
>>>>> - TPTP Tracing and Profiling
>>>>> - TPTP Platform (4.3.0v200706132116...)
>>>>> - XSD (2.3.0v20070626000)
>>>>>
>>>>> All I do is open a .genmodel file. But TPTP may be activted as it
>>>>> is included in all perspectives.
>>>>>
>>>>> I have just tried to activate XSD without TPTP - and it all works.
>>>>>
>>>>> Nicolas
>>>>>
>>>>>
>>>>> Ed Merks schrieb:
>>>>>> Nicolas,
>>>>>>
>>>>>> I tried this locally with a slightly pre-GA setup without a
>>>>>> problem. Do I need to use something in TPTP first before the
>>>>>> problem starts to happen? I.e., does the problem happen with a
>>>>>> freshly started Eclipse where all you've done is tried to open a
>>>>>> .genmodel file as your first action?
>>>>>>
>>>>>>
>>>>>> Ed Merks wrote:
>>>>>>> Nicolas,
>>>>>>>
>>>>>>> Sounds like some other component has registered an JAXP
>>>>>>> implementation that's in conflict with the one provided by the
>>>>>>> JVM because the code that's failing is just this standard pattern
>>>>>>> that should work anywhere:
>>>>>>>
>>>>>>> SAXParserFactory parserFactory=
>>>>>>> SAXParserFactory.newInstance();
>>>>>>>
>>>>>>> I know that XSD doesn't register such a thing, but perhaps TPTP's
>>>>>>> use of this plugin causes a problem:
>>>>>>>
>>>>>>> eclipse/plugins/org.apache.xerces_2.8.0.v200705301630.jar
>>>>>>>
>>>>>>> If that is indeed the problem, I imagine that many things relying
>>>>>>> on JAXP to simply work will be broken. Which JVM/JRE are you using?
>>>>>>>
>>>>>>>
>>>>>>> Nicolas Cabanis wrote:
>>>>>>>> Hello,
>>>>>>>>
>>>>>>>> I have updated my Eclipse to 3.3 final together with EMF, GEF
>>>>>>>> and GMF. Now, I get the following problem: if I open any
>>>>>>>> genmodel with the GenModel-Editor, I get the exception appended
>>>>>>>> at the end of this message. This only happens if I have TPTP
>>>>>>>> (and therefore XSD) also in my configuration.
>>>>>>>>
>>>>>>>> How can I prevent this?
>>>>>>>>
>>>>>>>> Regards
>>>>>>>> Nicolas
>>>>>>>>
>>>>>>>>
>>>>>>>> java.lang.ClassCastException:
>>>>>>>> org.apache.xerces.jaxp.SAXParserFactoryImpl cannot be cast to
>>>>>>>> javax.xml.parsers.SAXParserFactory
>>>>>>>> at javax.xml.parsers.SAXParserFactory.newInstance(Unknown Source)
>>>>>>>> at
>>>>>>>> org.eclipse.emf.ecore.plugin.EcorePlugin.computePlatformPlug inToPlatformResourceMap(EcorePlugin.java:302)
>>>>>>>>
>>>>>>>> at
>>>>>>>> org.eclipse.emf.ecore.plugin.EcorePlugin.computePlatformURIM ap(EcorePlugin.java:409)
>>>>>>>>
>>>>>>>
>>>>>>
Re: ClassCastException in GenModel if org.eclipse.xsd is present [message #102585 is a reply to message #102377] Tue, 03 July 2007 13:33 Go to previous message
Miles Parker is currently offline Miles Parker
Messages: 1340
Registered: July 2009
Senior Member
As a btw, I think JAXP / Xerces related incompatabilites, especially
given their "fail-slow" nature, create painful issues in intergrating
various projects. The same kinds of things have come up w/ oAW, e.g.:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=186687

On 2007-07-02 16:26:39 -0400, Joe Toomey <jptoomey@us.ibm.com> said:

> > It's quite a basic/fundamental thing that's going wrong...
>
> Agreed. I'm not sure how/if we're involved, but if we can figure out
> how to reproduce the problem, I'll be happy to investigate on the TPTP
> side.
>
> Thanks,
> --Joe
>
> Ed Merks wrote:
>> Joe,
>>
>> No. I have some bits slightly older than the GA version and it's all
>> working fine for me. I've never heard of a problem like this before
>> either. It's quite a basic/fundamental thing that's going wrong...
>>
>>
>> Joe Toomey wrote:
>>> It's worth noting that although some committers may do informal
>>> testing, TPTP does not yet support Java 6.
>>> http://www.eclipse.org/tptp/home/project_info/releaseinfo/4. 4/support.html

I
>>>
>>> can't comment on why we distribute the org.apache.xerces bundle, but I
>>> see that we (TPTP) require and reexport it in
>>> org.eclipse.tptp.platform.models. Neither the plugin.xml file nor the
>>> java code within our models plugin references or uses the
>>> org.apache.xerces plugin. I will check with the plugin owner to
>>> understand why this is the case -- I have a foggy recollection of why
>>> we used to continue to ship xerces, but my recollection may be out of
>>> date.
>>>
>>> I tried the scenario described using Sun 1.5 & 1.6 and also tried with
>>> an IBM 1.6 JRE. I wasn't able to reproduce this issue (the genmodel
>>> editor opened fine, no errors reported in the log.) I also checked in
>>> the OSGI console, and in each case, the org.apache.xerces plugin was
>>> resolved but not active after opening the genmodel file.
>>>
>>> [I'm using Europa bits from today -- Eclipse Classic Windows download,
>>> then TPTP installed via Update Manager. Among the required plugins
>>> selected by UM were "EMF Runtime + End-User Tools 2.3.0.v200706262000"
>>> and "XSD Schema Infoset Model 2.3.0.v200706262000".]
>>>
>>> Ed -- are you able to see this error?
>>>
>>> Thanks,
>>> --Joe
>>>
>>> Ed Merks wrote:
>>>> Nicolas,
>>>>
>>>> I'll add the TPTP newsgroup to the reply to see if anyone there knows a
>>>> reason why TPTP would affect the parser created via the standard JAXP
>>>> APIs, i.e., why SAXParserFactory.newInstance() should fail with TPTP
>>>> present.
>>>>
>>>>
>>>> Nicolas Cabanis wrote:
>>>>> And I use:
>>>>> java version "1.6.0"
>>>>> Java(TM) SE Runtime Environment (build 1.6.0-b105)
>>>>> Java HotSpot(TM) Client VM (build 1.6.0-b105, mixed mode)
>>>>>
>>>>> Nicolas Cabanis schrieb:
>>>>>> Hell Ed,
>>>>>>
>>>>>> I use:
>>>>>> - eclipse-SDK-3.3 (and all following through Europa update site)
>>>>>> - TPTP Tracing and Profiling
>>>>>> - TPTP Platform (4.3.0v200706132116...)
>>>>>> - XSD (2.3.0v20070626000)
>>>>>>
>>>>>> All I do is open a .genmodel file. But TPTP may be activted as it is
>>>>>> included in all perspectives.
>>>>>>
>>>>>> I have just tried to activate XSD without TPTP - and it all works.
>>>>>>
>>>>>> Nicolas
>>>>>>
>>>>>>
>>>>>> Ed Merks schrieb:
>>>>>>> Nicolas,
>>>>>>>
>>>>>>> I tried this locally with a slightly pre-GA setup without a problem.
>>>>>>> Do I need to use something in TPTP first before the problem starts to
>>>>>>> happen? I.e., does the problem happen with a freshly started Eclipse
>>>>>>> where all you've done is tried to open a .genmodel file as your first
>>>>>>> action?
>>>>>>>
>>>>>>>
>>>>>>> Ed Merks wrote:
>>>>>>>> Nicolas,
>>>>>>>>
>>>>>>>> Sounds like some other component has registered an JAXP implementation
>>>>>>>> that's in conflict with the one provided by the JVM because the code
>>>>>>>> that's failing is just this standard pattern that should work anywhere:
>>>>>>>>
>>>>>>>> SAXParserFactory parserFactory= SAXParserFactory.newInstance();
>>>>>>>>
>>>>>>>> I know that XSD doesn't register such a thing, but perhaps TPTP's use
>>>>>>>> of this plugin causes a problem:
>>>>>>>>
>>>>>>>> eclipse/plugins/org.apache.xerces_2.8.0.v200705301630.jar
>>>>>>>>
>>>>>>>> If that is indeed the problem, I imagine that many things relying on
>>>>>>>> JAXP to simply work will be broken. Which JVM/JRE are you using?
>>>>>>>>
>>>>>>>>
>>>>>>>> Nicolas Cabanis wrote:
>>>>>>>>> Hello,
>>>>>>>>>
>>>>>>>>> I have updated my Eclipse to 3.3 final together with EMF, GEF and GMF.
>>>>>>>>> Now, I get the following problem: if I open any genmodel with the
>>>>>>>>> GenModel-Editor, I get the exception appended at the end of this
>>>>>>>>> message. This only happens if I have TPTP (and therefore XSD) also in
>>>>>>>>> my configuration.
>>>>>>>>>
>>>>>>>>> How can I prevent this?
>>>>>>>>>
>>>>>>>>> Regards
>>>>>>>>> Nicolas
>>>>>>>>>
>>>>>>>>>
>>>>>>>>> java.lang.ClassCastException:
>>>>>>>>> org.apache.xerces.jaxp.SAXParserFactoryImpl cannot be cast to
>>>>>>>>> javax.xml.parsers.SAXParserFactory
>>>>>>>>> at javax.xml.parsers.SAXParserFactory.newInstance(Unknown Source)
>>>>>>>>> at
>>>>>>>>> org.eclipse.emf.ecore.plugin.EcorePlugin.computePlatformPlug inToPlatformResourceMap(EcorePlugin.java:302)

>>>>>>>>>
>>>>>>>>> at
>>>>>>>>> org.eclipse.emf.ecore.plugin.EcorePlugin.computePlatformURIM ap(EcorePlugin.java:409)


>>>>>>>>>
Previous Topic:TPTP issues
Next Topic:how do you disable tptp?
Goto Forum:
  


Current Time: Sun Oct 26 00:32:25 GMT 2014

Powered by FUDForum. Page generated in 0.01746 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software